## 前言

Android 11以后的机器在开发者选项里面，有一个自带的无线调试，但是这个无线调试的连接是很复杂的

并且无界无法通过这个无线调试的方式自动连接，每次打开 App 都需要手动连接

所以，条件允许的情况下，请使用身边的 PC 或者另一台 Android 通过数据线打开(这个教程待补)

## Android11如何通过自带的无线调试连接
> 被控的设备需要打开，控制端无需任务操作

### 1.打开开发者模式和USB调试

连续点击三次系统版本号，然后进入开发者选项，打开USB调试和无线调试

![](Develop_USB_Debug.png)

### 2.打开被控端的安卓无线调试


![](Develop_WIFI_Debug.png)


### 3.进入无线调试页面
点击使用配对码配对

![](WIFI_Debug_Pair.png)

如图的 IP 地址和端口号和配对码

> **注意，此时这个弹窗不能关闭**

### 4.打开控制端的无界或者 ADBKIT，手机还是 Windows/macOS/Linux 均可

> 注意这儿是控制端打开，与开启远程调试打开弹窗的不是同一个手机（除非自己连自己）

在连接页面输入 `192.168.31.45:44715 135913`
> **这串地址对应步骤3弹窗中的，每个设备不一样**

![](Uncon_Pair.png)

输入后点击后面的 `>` 箭头，会弹窗提示`配对成功，还需要连接一次`

![](Uncon_Pair_Toast.png)

> 这里不要反复点击箭头，很多朋友以为再点击一次就能连接，这只是配对的地址，点多少次也只是配对成功

> 这只是一个配对过程 这只是一个配对过程 这只是一个配对过程

### 5.将地址更改为步骤3中的连接地址(还是控制端)

即`192.168.31.45:37665`

![](Uncon_Connect.png)


输入后再点击一次后面的 `>`

> 此时留意被控端的允许调试弹窗，点允许！

提示连接成功就可以投屏和应用流转了

![](Uncon_Connect_Toast.png)
![](Uncon_Success.png)


> 后续再连接可直接通过无界的历史记录进行连接
